Objects

The object store is a temporary key-vale storage mechanism for pipelines and runs. It allows the user to cache objects for the lifetime of multiple runs or for the lifetime of a single run.There are two separate types of objects, each useful for its own use case. Visit the documentation for more details on the associated lifetimes of pipeline specific and run specific objects


List all extension objects

GET/api/extensions/{extension_id}/objects

Path parameters

NameTypeRequiredDescription
extension_idstringyesThe unique identifier for the target extension.

Responses

StatusBodyDescription
200ListExtensionObjectsResponsesuccessful operation
4XXErrorError
5XXErrorError

Get extension object by key

GET/api/extensions/{extension_id}/objects/{key}

Path parameters

NameTypeRequiredDescription
extension_idstringyesThe unique identifier for the target extension.
keystringyesThe unique identifier for the target object.

Responses

StatusBodyDescription
200raw bytessuccessful operation
4XXErrorError
5XXErrorError

Insert a new object into the extension object store

POST/api/extensions/{extension_id}/objects/{key}

Path parameters

NameTypeRequiredDescription
extension_idstringyesThe unique identifier for the target extension.
keystringyesThe unique identifier for the target object.

Query parameters

NameTypeRequiredDescription
forcebooleanyesOverwrite a value of a object if it already exists.

Request body (required): raw bytes (application/octet-stream)

Responses

StatusBodyDescription
201PutExtensionObjectResponsesuccessful creation
4XXErrorError
5XXErrorError

Delete extension object by key

DELETE/api/extensions/{extension_id}/objects/{key}

Path parameters

NameTypeRequiredDescription
extension_idstringyesThe unique identifier for the target extension.
keystringyesThe unique identifier for the target object.

Responses

StatusBodyDescription
204nonesuccessful deletion
4XXErrorError
5XXErrorError

List all pipeline objects

GET/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/objects

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.

Responses

StatusBodyDescription
200ListPipelineObjectsResponsesuccessful operation
4XXErrorError
5XXErrorError

Get pipeline object by key

GET/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/objects/{key}

Path parameters

NameTypeRequiredDescription
keystringyesThe unique identifier for the target object.
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.

Responses

StatusBodyDescription
200raw bytessuccessful operation
4XXErrorError
5XXErrorError

Insert a new object into the pipeline object store

POST/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/objects/{key}

Path parameters

NameTypeRequiredDescription
keystringyesThe unique identifier for the target object.
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.

Query parameters

NameTypeRequiredDescription
forcebooleannoOverwrite a value of a object if it already exists.

Request body (required): raw bytes (application/octet-stream)

Responses

StatusBodyDescription
201PutPipelineObjectResponsesuccessful creation
4XXErrorError
5XXErrorError

Delete pipeline object by key

DELETE/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/objects/{key}

Path parameters

NameTypeRequiredDescription
keystringyesThe unique identifier for the target object.
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.

Responses

StatusBodyDescription
204nonesuccessful deletion
4XXErrorError
5XXErrorError

List all run objects

GET/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs/{run_id}/objects

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.
run_idintegeryesThe unique identifier for the target run.

Responses

StatusBodyDescription
200ListRunObjectsResponsesuccessful operation
4XXErrorError
5XXErrorError

Get run object by key

GET/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs/{run_id}/objects/{key}

Path parameters

NameTypeRequiredDescription
keystringyesThe unique identifier for the target object.
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.
run_idintegeryesThe unique identifier for the target run.

Responses

StatusBodyDescription
200raw bytessuccessful operation
4XXErrorError
5XXErrorError

Insert a new object into the run object store

POST/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs/{run_id}/objects/{key}

Overwrites can be performed by passing the force query param.

Path parameters

NameTypeRequiredDescription
keystringyesThe unique identifier for the target object.
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.
run_idintegeryesThe unique identifier for the target run.

Query parameters

NameTypeRequiredDescription
forcebooleannoOverwrite a value of a object if it already exists.

Request body (required): raw bytes (application/octet-stream)

Responses

StatusBodyDescription
201PutRunObjectResponsesuccessful creation
4XXErrorError
5XXErrorError

Delete run object by key

DELETE/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs/{run_id}/objects/{key}

Path parameters

NameTypeRequiredDescription
keystringyesThe unique identifier for the target object.
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.
run_idintegeryesThe unique identifier for the target run.

Responses

StatusBodyDescription
204nonesuccessful deletion
4XXErrorError
5XXErrorError